Skip to content

Match API [Team]

Match a company name to domain profiles. Returns ranked candidates with confidence scores. For bulk matching, see Match Bulk. To enrich matched domains with firmographic data, use BizData or Append.

GET https://api.discolike.com/v1/match
ParameterDescription
nameCompany name to match (required)
countryISO-3166-1 alpha-2 country code
stateUS state code
cityCity name
zip_codeZip code
phonePhone in E.164 or local format
FieldTypeDescription
queryObjectQuery parameters used
matchesArrayBizData profiles with match_confidence

Each match includes match_confidence (0-100) indicating how well it matches the query.

Terminal window
curl "https://api.discolike.com/v1/match?name=acme+software&country=US" \
-H "x-discolike-key: API_KEY"
{
"query": { "name": "acme software", "country": "US" },
"matches": [
{
"domain": "acmesoftware.com",
"name": "Acme Software Inc",
"match_confidence": 100,
"score": 250,
"address": { "state": "CA", "country": "US" }
}
]
}